Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
@@ -5246,22 +5228,22 @@
                 +0.5*sigd*(xtevap(ixt,il,i)+xtevap(ixt,il,i+1))
         enddo !do ixt = 1+niso,ntraciso
-!        write(*,*) 'tmp cv3_yield 4165: i,il=',i,il
+!        WRITE(*,*) 'tmp cv3_yield 4165: i,il=',i,il
 !        ixt_poubelle=itZonIso(izone_poubelle,iso_eau)
 !        ixt_ddft=itZonIso(izone_ddft,iso_eau)
-!        write(*,*) 'delt*fxt(ixt_poubelle,il,i)=',
+!        WRITE(*,*) 'delt*fxt(ixt_poubelle,il,i)=',
 !     :           delt*fxt(ixt_poubelle,il,i)
-!        write(*,*) 'delt*fxt(ixt_ddft,il,i)=',delt*fxt(ixt_ddft,il,i)
-!        write(*,*) 'xt(iso_eau,il,i)=',xt(iso_eau,il,i)
+!        WRITE(*,*) 'delt*fxt(ixt_ddft,il,i)=',delt*fxt(ixt_ddft,il,i)
+!        WRITE(*,*) 'xt(iso_eau,il,i)=',xt(iso_eau,il,i)
           do iiso = 1, niso
              ixt_poubelle=itZonIso(izone_poubelle,iiso)
              ixt_ddft=itZonIso(izone_ddft,iiso)  
-             if (mp(il,i).gt.mp(il,i+1)) then
+             if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*mp(il,i) &
                  *(xt(ixt_ddft,il,i-1)-xt(ixt_ddft,il,i))
-             else !if (mp(il,i).gt.mp(il,i+1)) then
+             else !if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*(mp(il,i) &
                  *xt(ixt_ddft,il,i-1)-mp(il,i+1)*xt(ixt_ddft,il,i) &
                  +(mp(il,i+1)-mp(il,i))*xtp(ixt_ddft,il,i))
-             endif !if (mp(il,i).gt.mp(il,i+1)) then
+             endif !if (mp(il,i).gt.mp(il,i+1)) THEN
              fxtqe(iiso)=0.01*grav*dpinv* &
                     (mp(il,i+1)*(xtp(iiso,il,i+1)-xt(iiso,il,i)) &
@@ -5271,8 +5253,8 @@
                  +fxtqe(iiso)-fxtYe(iiso)
           enddo !do iiso = 1, niso
-!          write(*,*) 'delt*conversion=',delt*conversion(iso_eau)
-!           write(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau) 
-!           write(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)  
-        endif !if (option_traceurs.eq.6) then
+!          WRITE(*,*) 'delt*conversion=',delt*conversion(iso_eau)
+!           WRITE(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau)
+!           WRITE(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)
+        endif !if (option_traceurs.eq.6) THEN
 #endif       
 
@@ -5300,29 +5282,29 @@
 #endif        
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3522',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+          endif !if (iso_eau.gt.0) THEN
+          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
               if (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3690').eq.1) then
-                write(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
+                 'cv30_yield 3690').eq.1) THEN
+                WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
                 stop
                endif
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                          +delt*fxt(iso_HDO,il,i)) &
                 /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3757b, ddfts')
-          endif !if (iso_HDO.gt.0) then          
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3757b,O18, ddfts')
-          endif !if (iso_HDO.gt.0) then      
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 4172')
@@ -5331,6 +5313,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4295',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 4295',1e-5)
@@ -5373,9 +5355,9 @@
     ! do j=1,ntra
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
 
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
     ! :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
@@ -5400,6 +5382,5 @@
 
 ! attention, on corrige un probleme C Risi
-      IF (cvflag_grav) then
-
+      IF (cvflag_grav) THEN
        ax = 0.01*grav*ment(il, inb(il), inb(il))*(hp(il,inb(il))-h(il,inb(il))+t(il, &
       inb(il))*(cpv-cpd)*(rr(il,inb(il))-qent(il,inb(il), &
@@ -5505,17 +5486,17 @@
         CALL iso_verif_noNaN(fxt(ixt,il,inb(il)),'cv30_yield 5083')
        enddo
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,inb(il)), &
                  fr(il,inb(il)),'cv30_routines 3638',errmax,errmaxrel)
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,inb(il)-1), &
                  fr(il,inb(il)-1),'cv30_routines 3640',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-             (rr(il,inb(il))+delt*fr(il,inb(il)).gt.ridicule)) then
+             (rr(il,inb(il))+delt*fr(il,inb(il)).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre( &
                  (xt(iso_HDO,il,inb(il))+delt*fxt(iso_HDO,il,inb(il))) &
                /(rr(il,inb(il))+delt*fr(il,inb(il))), &
                  'cv30_yield 3921, en inb')
-              if (iso_O18.gt.0) then                
+              if (iso_O18.gt.0) THEN
                 if (iso_verif_O18_aberrant_nostop( &
                  (xt(iso_HDO,il,inb(il))+delt*fxt(iso_HDO,il,inb(il))) &
@@ -5523,21 +5504,21 @@
                  (xt(iso_O18,il,inb(il))+delt*fxt(iso_O18,il,inb(il))) &
                  /(rr(il,inb(il))+delt*fr(il,inb(il))), &
-                 'cv30_yield 3921O18, en inb').eq.1) then
-                        write(*,*) 'il,inb(il)=',il,inb(il)
+                 'cv30_yield 3921O18, en inb').eq.1) THEN
+                        WRITE(*,*) 'il,inb(il)=',il,inb(il)
                         k_tmp=0.1*ment(il,inb(il),inb(il))/(ph(il,inb(il))-ph(il,inb(il)+1))
-                        write(*,*) 'fr,frprec=',fr(il,inb(il)),fr(il,inb(il))+bx
-                        write(*,*) 'M,dt,k_tmp*dt=',k_tmp,delt,k_tmp*delt
-                        write(*,*) 'q,qe=',rr(il,inb(il)),qent(il,inb(il),inb(il))
-                        write(*,*) 'r=',k_tmp*delt*qent(il,inb(il),inb(il))/rr(il,inb(il))
-                        write(*,*) 'deltaDR,Re=',deltaD(xt(iso_HDO,il,inb(il))/rr(il,inb(il))), &
+                        WRITE(*,*) 'fr,frprec=',fr(il,inb(il)),fr(il,inb(il))+bx
+                        WRITE(*,*) 'M,dt,k_tmp*dt=',k_tmp,delt,k_tmp*delt
+                        WRITE(*,*) 'q,qe=',rr(il,inb(il)),qent(il,inb(il),inb(il))
+                        WRITE(*,*) 'r=',k_tmp*delt*qent(il,inb(il),inb(il))/rr(il,inb(il))
+                        WRITE(*,*) 'deltaDR,Re=',deltaD(xt(iso_HDO,il,inb(il))/rr(il,inb(il))), &
                                 deltaD(xtent(iso_HDO,il,inb(il),inb(il))/qent(il,inb(il),inb(il)))
-                        write(*,*) 'deltaO18R,Re=',deltaO(xt(iso_O18,il,inb(il))/rr(il,inb(il))), &
+                        WRITE(*,*) 'deltaO18R,Re=',deltaO(xt(iso_O18,il,inb(il))/rr(il,inb(il))), &
                                 deltaO(xtent(iso_O18,il,inb(il),inb(il))/qent(il,inb(il),inb(il)))
                 stop
               endif !if (iso_verif_O18_aberrant_nostop
-            endif !if (iso_O18.gt.0) then
-          endif !if (iso_HDO.gt.0) then
+            endif !if (iso_O18.gt.0) THEN
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-             (rr(il,inb(il)-1)+delt*fr(il,inb(il)-1).gt.ridicule)) then
+             (rr(il,inb(il)-1)+delt*fr(il,inb(il)-1).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre( &
                  (xt(iso_HDO,il,inb(il)-1) &
@@ -5545,5 +5526,5 @@
                /(rr(il,inb(il)-1)+delt*fr(il,inb(il)-1)), &
                  'cv30_yield 3921b, en inb-1')
-              if (iso_O18.gt.0) then                
+              if (iso_O18.gt.0) THEN
                 CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,inb(il)-1)+delt*fxt(iso_HDO,il,inb(il)-1)) &
@@ -5553,5 +5534,5 @@
                  'cv30_yield 3921cO18, en inb-1')
               endif
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,inb(il)-1), &
@@ -5563,6 +5544,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4492',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 4492',1e-5)
@@ -5634,27 +5615,27 @@
         fr(il, i) = bsum(il)/csum(il)
 #ifdef ISO
-        if (abs(csum(il)).gt.0.0) then
+        if (abs(csum(il)).gt.0.0) THEN
           do ixt=1,ntraciso
             fxt(ixt,il,i)=bxtsum(ixt,il)/csum(il)            
           enddo
-        else !if (frsum(il).gt.ridicule) then
-           if (abs(frsum(il)).gt.0.0) then
+        else !if (frsum(il).gt.ridicule) THEN
+           if (abs(frsum(il)).gt.0.0) THEN
             do ixt=1,ntraciso
              fxt(ixt,il,i)=fr(il,i)*fxtsum(ixt,il)/frsum(il)        
             enddo 
-           else !if (abs(frsum(il)).gt.0.0) then
-             if (abs(fr(il,i))*delt.gt.ridicule) then
-               write(*,*) 'cv30_yield 4048: fr(il,i)=',fr(il,i)
+           else !if (abs(frsum(il)).gt.0.0) THEN
+             if (abs(fr(il,i))*delt.gt.ridicule) THEN
+               WRITE(*,*) 'cv30_yield 4048: fr(il,i)=',fr(il,i)
                stop 
-             else !if (abs(fr(il,i))*delt.gt.ridicule) then
+             else !if (abs(fr(il,i))*delt.gt.ridicule) THEN
                do ixt=1,ntraciso
                  fxt(ixt,il,i)=0.0
                enddo
-               if (iso_eau.gt.0) then
+               if (iso_eau.gt.0) THEN
                    fxt(iso_eau,il,i)=1.0
                endif
-             endif !if (abs(fr(il,i))*delt.gt.ridicule) then
-           endif !if (abs(frsum(il)).gt.0.0) then
-         endif !if (frsum(il).gt.0) then
+             endif !if (abs(fr(il,i))*delt.gt.ridicule) THEN
+           endif !if (abs(frsum(il)).gt.0.0) THEN
+         endif !if (frsum(il).gt.0) THEN
 #endif
       END IF
@@ -5675,62 +5656,61 @@
 #ifdef ISOVERIF
           do i=1,nl
-!             write(*,*) 'cv30_routines temp 3967: i=',i
+!             WRITE(*,*) 'cv30_routines temp 3967: i=',i
              do il=1,ncum
-!                write(*,*) 'cv30_routines 3969: il=',il
-!                write(*,*) 'cv30_routines temp 3967: il,i,inb(il),ncum=',
+!                WRITE(*,*) 'cv30_routines 3969: il=',il
+!                WRITE(*,*) 'cv30_routines temp 3967: il,i,inb(il),ncum=',
 !     :                           il,i,inb(il),ncum
-!                write(*,*) 'cv30_routines 3974'
-                if (iso_eau.gt.0) then
+!                WRITE(*,*) 'cv30_routines 3974'
+                if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                     fr(il,i),'cv30_yield 3830',errmax,errmaxrel)
-                endif !if (iso_eau.gt.0) then
-!                write(*,*) 'cv30_routines 3979'
+                endif !if (iso_eau.gt.0) THEN
+!                WRITE(*,*) 'cv30_routines 3979'
                 if ((iso_HDO.gt.0).and. &
-                    (delt*fr(il,i).gt.ridicule)) then
+                    (delt*fr(il,i).gt.ridicule)) THEN
                     if (iso_verif_aberrant_enc_nostop( &
                          fxt(iso_HDO,il,i)/fr(il,i), &
-                        'cv30_yield 3834').eq.1) then
-                        if (fr(il,i).gt.ridicule*1e5) then
-                           write(*,*) 'il,i,icb(il)=',il,i,icb(il)
-                           write(*,*) 'frsum(il)=',frsum(il)
-                           write(*,*) 'fr(il,i)=',fr(il,i)  
-                           write(*,*) 'csum(il)=',csum(il)  
-                           write(*,*) &
+                        'cv30_yield 3834').eq.1) THEN
+                        if (fr(il,i).gt.ridicule*1e5) THEN
+                           WRITE(*,*) 'il,i,icb(il)=',il,i,icb(il)
+                           WRITE(*,*) 'frsum(il)=',frsum(il)
+                           WRITE(*,*) 'fr(il,i)=',fr(il,i)
+                           WRITE(*,*) 'csum(il)=',csum(il)
+                           WRITE(*,*) &
                                 'deltaD(bxtsum(iso_HDO,il)/csum(il))=', &
                                deltaD(bxtsum(iso_HDO,il)/csum(il))
 !                           stop
                         endif
-!                        write(*,*) 'cv30_routines 3986: temporaire'
+!                        WRITE(*,*) 'cv30_routines 3986: temporaire'
                     endif   !if (iso_verif_aberrant_enc_nostop   
-                endif !if (iso_HDO.gt.0) then
+                endif !if (iso_HDO.gt.0) THEN
                 if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
                   if (iso_verif_aberrant_enc_nostop( &
                 (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
                /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3921c, dans la CL') &
-                 .eq.1) then
-                     write(*,*) 'il,i,icb(il)=',il,i,icb(il)
-                     write(*,*) 'frsum(il)=',frsum(il)
-                     write(*,*) 'fr(il,i)=',fr(il,i)    
+                 .eq.1) THEN
+                     WRITE(*,*) 'il,i,icb(il)=',il,i,icb(il)
+                     WRITE(*,*) 'frsum(il)=',frsum(il)
+                     WRITE(*,*) 'fr(il,i)=',fr(il,i)
                      stop
                   endif
-               endif !if (iso_HDO.gt.0) then
-               
+               endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3921d, dans la CL')
-        endif !if (iso_HDO.gt.0) then 
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
                 CALL iso_verif_traceur_justmass(fxt(1,il,i), &
                         'cv30_routine 4523')
 #endif                 
-!                write(*,*) 'cv30_routines 3994'
+!                WRITE(*,*) 'cv30_routines 3994'
              enddo !do il=1,ncum
-!             write(*,*) 'cv30_routine 3990: fin des il pour i=',i
+!             WRITE(*,*) 'cv30_routine 3990: fin des il pour i=',i
           enddo !do i=1,nl
-!          write(*,*) 'cv30_routine 3990: fin des verifs sur homogen'
+!          WRITE(*,*) 'cv30_routine 3990: fin des verifs sur homogen'
 #endif
 
@@ -5739,22 +5719,22 @@
           do i=1,nl
              do il=1,ncum
-                if (iso_eau.gt.0) then
+                if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                     fr(il,i),'cv30_yield 3830',errmax,errmaxrel)
-                endif !if (iso_eau.gt.0) then
+                endif !if (iso_eau.gt.0) THEN
                 if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
                   CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                          +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 5710a, final')
-               endif !if (iso_HDO.gt.0) then               
+               endif !if (iso_HDO.gt.0) THEN
                if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
                   CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 5710b, final')
-               endif !if (iso_HDO.gt.0) then 
+               endif !if (iso_HDO.gt.0) THEN
              enddo !do il=1,ncum
           enddo !do i=1,nl
@@ -5825,5 +5805,5 @@
       DO il = 1, ncum
         ! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il))
-        ! then
+        ! THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + m(il, k) + up1(il, k, i)
@@ -6236,5 +6216,5 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routines 4293: entree dans cv3_uncompress'
+        WRITE(*,*) 'cv30_routines 4293: entree dans cv3_uncompress'
 #endif
   DO i = 1, ncum
@@ -6383,5 +6363,5 @@
         ! on recalcule ep et hp
         
-        if (coef_epmax_cape.gt.1e-12) then
+        if (coef_epmax_cape.gt.1e-12) THEN
         do i=1,ncum
            epmax_diag(i)=epmax-coef_epmax_cape*sqrt(cape(i))
@@ -6406,33 +6386,31 @@
       do k=minorig+1,nl
        do i=1,ncum
-        if((k.ge.icb(i)).and.(k.le.inb(i)))then
+        if((k.ge.icb(i)).and.(k.le.inb(i)))THEN
           hp(i,k)=h(i,nk(i))+(lv(i,k)+(cpd-cpv)*t(i,k))*ep(i,k)*clw(i,k)
         endif
        enddo
       enddo !do k=minorig+1,n
-!     write(*,*) 'cv30_routines 6218: hp(1,20)=',hp(1,20)
+!     WRITE(*,*) 'cv30_routines 6218: hp(1,20)=',hp(1,20)
       do i=1,ncum  
        do k=1,nl
-        if (abs(hp_bak(i,k)-hp(i,k)).gt.0.01) then
-           write(*,*) 'i,k=',i,k
-           write(*,*) 'coef_epmax_cape=',coef_epmax_cape
-           write(*,*) 'epmax_diag(i)=',epmax_diag(i)
-           write(*,*) 'ep(i,k)=',ep(i,k)
-           write(*,*) 'hp(i,k)=',hp(i,k)
-           write(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
-           write(*,*) 'h(i,k)=',h(i,k)
-           write(*,*) 'nk(i)=',nk(i)
-           write(*,*) 'h(i,nk(i))=',h(i,nk(i))
-           write(*,*) 'lv(i,k)=',lv(i,k)
-           write(*,*) 't(i,k)=',t(i,k)
-           write(*,*) 'clw(i,k)=',clw(i,k)
-           write(*,*) 'cpd,cpv=',cpd,cpv
+        if (abs(hp_bak(i,k)-hp(i,k)).gt.0.01) THEN
+           WRITE(*,*) 'i,k=',i,k
+           WRITE(*,*) 'coef_epmax_cape=',coef_epmax_cape
+           WRITE(*,*) 'epmax_diag(i)=',epmax_diag(i)
+           WRITE(*,*) 'ep(i,k)=',ep(i,k)
+           WRITE(*,*) 'hp(i,k)=',hp(i,k)
+           WRITE(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
+           WRITE(*,*) 'h(i,k)=',h(i,k)
+           WRITE(*,*) 'nk(i)=',nk(i)
+           WRITE(*,*) 'h(i,nk(i))=',h(i,nk(i))
+           WRITE(*,*) 'lv(i,k)=',lv(i,k)
+           WRITE(*,*) 't(i,k)=',t(i,k)
+           WRITE(*,*) 'clw(i,k)=',clw(i,k)
+           WRITE(*,*) 'cpd,cpv=',cpd,cpv
            CALL abort_physic(modname,abort_message,0)
         endif
        enddo !do k=1,nl
       enddo !do i=1,ncum  
-      endif !if (coef_epmax_cape.gt.1e-12) then
-
-
+      endif !if (coef_epmax_cape.gt.1e-12) THEN
       END SUBROUTINE  cv30_epmax_fn_cape
 
